Ticket #4038 (closed defect: fixed)

Opened 8 years ago

Last modified 8 years ago

postgresqlの環境で管理画面のメンバーリストから「30日以上」「未ログイン」の絞り込みができない

Reported by: urabe Assigned to: urabe
Priority: minor Milestone: OpenPNE2.12.13
Component: 指定しない Version: 2.12.x & 2.14.x
Keywords: OpenPNE2.14.0 Cc:

Description (Last modified by urabe)

■現象

管理画面の「メンバ管理」-「メンバーリスト」において以下に該当するメンバーは存在するのに、絞込みができない。以下以外のメニューは正常に動作、MySQLでは問題なく動作。

  • 30日以上ログインしていない
  • 未ログイン

■発生バージョン

  • OpenPNE 2.10.5
  • OpenPNE 2.12.12
  • OpenPNE 2.14Beta2

■再現手順

管理画面の「メンバ管理」-「メンバーリスト」から「最終ログイン」の下のプルダウンメニューで「30日以上」「未ログイン」を選択する

■環境

環境1

  • OpenPNE:2.10.5
  • OS:RedHatLinuxES4
  • PHP:5.2.6
  • DB:PostgreSQL8.1.11
  • Apache:2-2.2.3

環境2

  • OpenPNE 2.10.5 と 2.12.12 と 2.14Beta2
  • CentOS 5.2
  • PHP 5.2.8
  • PostgreSQL 8.1.11

■原因

  • [30日以上] と [未ログイン] の検索の際、postgreSQLの場合もmysqlの場合もTimestamp型の「'0000-00-00 00:00:00'」で検索をおこなっていた

■修正内容

  • postgres 利用の場合は、「'0000-01-01 00:00:00'」で検索するように修正

■関連情報

Change History

06/29/09 10:21:03 changed by kiwa

  • description changed.

06/29/09 10:27:28 changed by urabe

  • keywords deleted.
  • description changed.

06/29/09 10:32:33 changed by kiwa

  • milestone set to OpenPNE2.12.13.

06/29/09 14:27:29 changed by urabe

  • owner changed from nobody to urabe.
  • status changed from new to assigned.

06/29/09 16:59:16 changed by urabe

  • keywords set to 確認中.

r12054 で一旦コミットします

06/29/09 17:36:58 changed by urabe

  • description changed.

07/02/09 14:06:46 changed by kiwa

  • keywords changed from 確認中 to OpenPNE2.14.0 確認中.

次期安定版にはOpenPNE2.14.0のメジャーバージョンアップ時に盛り込みましょう。

07/14/09 15:57:27 changed by urabe

trunkとstableに以下のリビジョンでマージしました。

07/14/09 22:01:06 changed by shingo

  • keywords changed from OpenPNE2.14.0 確認中 to OpenPNE2.14.0 テスト待ち.

確認しました

07/15/09 13:21:11 changed by imamura623

  • keywords changed from OpenPNE2.14.0 テスト待ち to OpenPNE2.14.0.
  • status changed from assigned to closed.
  • resolution set to fixed.

動作テストしました。

  • stable-2.12.x
  • stable-2.14.x
  • trunk

上記の3つの環境で正しく動作することを確認しました。